import { r as registerInstance, h, H as Host } from './index-ecdfb761.js';

const MentornityWcBridge = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  componentWillLoad() {
    // these variables are explicitly initialised for enabling TypeScript type checking
    const { accessToken, sessionToken, organisationId, organisationDomain, role, userId, groupId, language, timeZone, timeFormat, dateFormat, weekStartDay, isZoomAuthenticated, } = this;
    this.contextParams = {
      accessToken,
      sessionToken,
      organisationId,
      organisationDomain,
      role,
      userId,
      groupId,
      language,
      timeZone,
      timeFormat,
      dateFormat,
      weekStartDay,
      isZoomAuthenticated,
    };
  }
  render() {
    const Tag = this.component;
    const extraProps = {};
    if (this.extraProps) {
      this.extraProps.split('&').forEach(keyValuePair => {
        const [key, value] = keyValuePair.split('=');
        extraProps[key] = value;
      });
    }
    return (h(Host, { class: "d-flex flex-grow-1", style: { overflow: 'hidden' } }, h("mentornity-root-wrapper", null, h(Tag, { contextParams: this.contextParams, extraProps: extraProps }))));
  }
};

export { MentornityWcBridge as mentornity_wc_bridge };
